*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: 0;
}

body{
    font-family: 'Montserrat', sans-serif;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

a{
    color: #333;
    text-decoration: none;
}

a:hover {
    color: #333;
    text-decoration: none;
}

.wrapper{
    width: 100%;
    max-width: 1200px;
    padding: 0 15px;
    margin: 0 auto;
}

.header {
    background: #000;
    box-shadow: 0 0 10px #777;
    margin-bottom: 20px;
}

.header-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-logo{
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
}


.header-search{
    height: 50px;
    position: relative;
    padding: 10px 20px;
}

.header-search i{
    position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    color: #ccc;
}

.main-link{
    margin-left: 30px;
}

.main-link a {
    color: #fff;
}

.main-link a:hover{
    transition: .2s linear;
    opacity: .9;
}

.header-search input {
    height: 30px;
    width: 260px;
    border-radius: 4px;
    padding: 0 15px;
    border: 0;
    background: #eaeaea;
}



.header-cart {
    font-size: 20px;
    color: #fff;
    cursor: pointer;
}


/*list*/

.list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.list-title {
    margin: 30px 0 20px;
    font-weight: 500;
}

.card {
    width: 218px;
    height: 322px;
    position: relative;
    perspective: 1000px;
    margin-bottom: 20px;
}
.front, .back {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    backface-visibility: hidden;
    border-radius: 5px;
    overflow: hidden;
}
.front {
    display: block;
    transition: 1s;
    height: 280px;
}
.back {
    background-color: #fcfcfc;
    transform: rotateY(180deg);
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    border: 1px solid #ccc;
    padding: 20px 20px 40px;
}

.card:hover .front {
    transform: rotateY(180deg);}
.card:hover .back {
    transition: 1s;
    transform: rotateY(360deg);
}

.movie-img{
    width: 100%;
    height: 280px;
}

.movie-times{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.movie-info-time{
    width: 80px;
    padding: 3px;
    background: #2cd9cb;
    font-size: 16px;
    border-radius: 4px;
    color: #fff;
    text-align: center;
    margin-top: 20px;
}

.movie-times a {
    display: block;
    padding: 5px 10px;
    background: #2cd9cb;
    border-radius: 4px;
    color: #fff;
    margin: 3px 10px;
}

.movie-name{
    position: absolute;
    bottom: 10px;
    width: 100%;
    font-size: 16px;
    font-weight: 300;
    display: block;
    text-align: center;
    margin-top: 10px;
    color: #555;
    font-weight: 500;
    transition: .2s linear;
}
.movie-name:hover{
    color: #000000;
}

.movie-descr{
    font-size: 16px;
    text-align: center;

}

.movie-date{
    font-size: 14px;
    color: #2cd9cb;
    text-align: center;
    font-weight: 500;
}


.cart-title{
    font-size: 18px;
    font-weight: 500;
    margin-top: 30px;
    margin-bottom: 20px;
    color: #333;
}

.cart-movie{
    display: flex;
    width: 500px;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    background: #f5f5f5;
    border-radius: 4px;
    margin: 10px 0 15px;
}

.cart-movie .movie-info-time{
    margin: 0px 5px;
}

.cart-movie-name{
    width: 190px;
    font-size: 16px;
    font-weight: 500;
}

.cart-info-number{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 4px;
}

.cart-info-number span {
    font-size: 16px;
    font-weight: 500;
}

.cart-info-number p {
    font-size: 14px;
    font-weight: 300;
}

.cart-movies-price{
    color: #3cb4e7;
    text-align: center;
}

.cart-movies-price span{
    font-size: 12px;
    font-weight: 700;
}
.remove-movie{
    height: 22px;
    font-size: 31px;
    border-radius: 8px;
    color: #b9b7b7;
    margin-left: 20px;
    cursor: pointer;
    width: 20px;
    text-align: center;
    line-height: 20px;
}

.submit-order{
    cursor: pointer;
}

.fa-shopping-cart {
    color: #fff;
}

.cart-content{
    display: flex;
    justify-content: center;
}

.order{
    margin: 20px 0 10px 20px;
    padding-left: 30px;
    border-left: 2px solid #ccc;
}

.order-title{
    font-size: 20px;
    font-weight: 500;
    color: #333;
    margin-bottom: 20px;
}

form p {
    color: #777;
    font-size: 14px;
    margin-bottom: 7px;
}

form input{
    width: 400px;
    border: 0;
    border: 1px solid #ccc;
    margin-bottom: 12px;
    padding: 10px;
    border-radius: 5px;
    transition: .2s linear;
}

form input:hover{
    background: #F3F3F3;
}

form input:focus{
    background: #f3f3f3;
    border: 2px solid #3cb4e7;
}
form input:active{
    background: #F3F3F3;
    border: 2px solid #3cb4e7;
}

form button{
    display: block;
    background: #3cb4e7;
    border: 0;
    color: #fff;
    padding: 8px 20px;
    border-radius: 5px;
}

.movie-info-title{
    display: flex;
    align-items: center;
}
.movie-info-img img{
    width: 120px;
    height: 150px;
}

.movie-info-name{
    margin-left: 20px;
    font-size: 20px;
    font-weight: 500;
}

.movie-info-name span{
    display: block;
    font-size: 14px;
    color: #666;
    font-weight: 500;
}

.movie-info-date{
    margin-top: 15px;
}

.movie-info-date i{
    color: #3cb4e7;
    margin-right: 10px;
}


.movie-price{
    color: #3cb4e7;
    margin-top: 10px;
    margin-bottom: 20px;
}

.movie-price span{
    color: #333333;
    font-size: 15px;
    font-weight: 500;
    padding: 0 2px;
}


.about-movie .wrapper {
    display: flex;
    max-width: 900px;
    align-items: center;
    justify-content: space-between;
}

.movie-places{
    width: 300px;
    padding: 20px 30px;
}

.movie-screen{
    width: 250px;
    border-radius: 50%;
    height: 20px;
    border-top: 4px solid #3cb4e7;
}

.places-wrapper{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.place{
    width: 35px;
    height: 45px;
    border-radius: 5px;
    text-align: center;
    line-height: 45px;
    background: #eee;
    cursor: pointer;
    margin-bottom: 4px;
    transition: .2s linear;
}

.place-is-ordered{
    background: transparent;
    color: #777;
    font-size: 40px;
    pointer-events: none;
    font-weight: 300;
}

.place-in-cart{
    background: #4ace42;
    color: #fff;
}

.add-to-cart{
    display: flex;
    padding: 10px 20px;
    width: 100%;
    justify-content: space-between;
    border-radius: 5px;
    border: 0;
    background: #3cb4e7;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
}


/*footer*/

.footer{
    background: #000;
    margin-top: 20px;
}

.footer-content{
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.footer-content a {
    display: block;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    transition: .2s linear;
}

.footer-content a:hover{
    color: #eaeaea;
    text-decoration: underline;
}